libpsurface0-2.0.0-3.9.i586.rpm


Advertisement

Description

libpsurface0 - A C++ library that handles piecewise linear bijections between surfaces

Property Value
Distribution openSUSE Tumbleweed
Repository Science x86_64 + i586
Package filename libpsurface0-2.0.0-3.9.i586.rpm
Package name libpsurface0
Package version 2.0.0
Package release 3.9
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://numerik.mi.fu-berlin.de/dune/psurface/index.php
License GPL-2.0
Maintainer -
Download size 271.08 KB
Installed size 896.41 KB
Psurface is a C++ library that handles piecewise linear bijections between
triangulated surfaces. These surfaces can be of arbitrary shape and need
not even be manifolds.

Alternatives

Package Version Architecture Repository
libpsurface0-2.0.0-3.9.x86_64.rpm 2.0.0 x86_64 Science
libpsurface0 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libhdf5.so.10 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.1) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
libpsurface.so.0 -
libpsurface0 = 2.0.0-3.9
libpsurface0(x86-32) = 2.0.0-3.9

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpsurface0-2.0.0-3.9.i586.rpm
Source Package psurface-2.0.0-3.9.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/science/openSUSE_Tumbleweed/ science
  2. Install libpsurface0 rpm package:
    # zypper install libpsurface0

Files

Path
/usr/lib/libpsurface.so.0
/usr/lib/libpsurface.so.0.0.0

Changelog

2015-11-03 - dmitry_r@opensuse.org
- Fix pkgconfig
- Build with HDF5 support
2015-10-31 - foss@grueninger.de
- Update to Psurface 2.0.0
No upstream changelog
- The tarball download location at Gitorious is down,
the original source tarball from Debian is taken.
- Drop no longer needed patches
libpsurfave-1.3.0-configure-am-prog-ar-fix.patch
libpsurfave-1.3.0-configure-fix.patch
libpsurfave-1.3.0-no-return-in-no-void-fix.patch
- Remove special cases for suse_version <= 1210
2015-10-31 - foss@grueninger.de
- Rename package to psurface because it contains unversioned
binaries
2012-08-08 - scorot@free.fr
- fix build with -fpermissive to CXXFLAGS on openSUSE greater
than 12.1
2012-08-08 - scorot@free.fr
- fix configure.ac for openSUSE greater than 12.1
2012-08-07 - scorot@free.fr
- add patch0 to fix build with old autoconf
- add patch1 to fix no-return-in-non-void error
2012-08-07 - scorot@free.fr
- first package

See Also

Package Description
libptscotch-gnu-mpich-hpc-6.0.9-31.1.i586.rpm Dependency package for libptscotch_6_0_9-gnu-mpich-hpc
libptscotch-gnu-mpich-hpc-6.0.9-36.2.aarch64.rpm Dependency package for libptscotch_6_0_9-gnu-mpich-hpc
libptscotch-gnu-mpich-hpc-6.0.9-36.2.x86_64.rpm Dependency package for libptscotch_6_0_9-gnu-mpich-hpc
libptscotch-gnu-mvapich2-hpc-6.0.9-31.1.i586.rpm Dependency package for libptscotch_6_0_9-gnu-mvapich2-hpc
libptscotch-gnu-mvapich2-hpc-6.0.9-36.2.aarch64.rpm Dependency package for libptscotch_6_0_9-gnu-mvapich2-hpc
libptscotch-gnu-mvapich2-hpc-6.0.9-36.2.x86_64.rpm Dependency package for libptscotch_6_0_9-gnu-mvapich2-hpc
libptscotch-gnu-openmpi1-hpc-6.0.9-31.1.i586.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi1-hpc
libptscotch-gnu-openmpi1-hpc-6.0.9-36.2.aarch64.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi1-hpc
libptscotch-gnu-openmpi1-hpc-6.0.9-36.2.x86_64.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi1-hpc
libptscotch-gnu-openmpi2-hpc-6.0.9-31.1.i586.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi2-hpc
libptscotch-gnu-openmpi2-hpc-6.0.9-36.2.aarch64.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi2-hpc
libptscotch-gnu-openmpi2-hpc-6.0.9-36.2.x86_64.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi2-hpc
libptscotch-gnu-openmpi3-hpc-6.0.9-31.1.i586.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi3-hpc
libptscotch-gnu-openmpi3-hpc-6.0.9-36.2.aarch64.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi3-hpc
libptscotch-gnu-openmpi3-hpc-6.0.9-36.2.x86_64.rpm Dependency package for libptscotch_6_0_9-gnu-openmpi3-hpc
Advertisement
Advertisement